# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Jun  4 13:21:07 2024
# ------------------------------------------------

package:
  name: slow5tools
  version: 1.1.0
source:
  sha256: 94b4a1917b80f212ab8d2442f414acb82e6a7c5db25087d89cbe99e4f910caef
  url: https://github.com/hasindu2008/slow5tools/releases/download/v1.1.0/slow5tools-v1.1.0-release.tar.gz
build:
  number: '1'
  run_exports:
    - slow5tools >=1.1.0,<2.0a0
  string: h56e2c18_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 ha1999f0_1
    - binutils_linux-64 2.40 hdade7a5_3
    - gcc_impl_linux-64 12.3.0 h58ffeeb_7
    - gcc_linux-64 12.3.0 h6477408_3
    - gxx_impl_linux-64 12.3.0 h2a574ab_7
    - gxx_linux-64 12.3.0 h4a1b8e8_3
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - ld_impl_linux-64 2.40 hf3520f5_1
    - libgcc-devel_linux-64 12.3.0 h0223996_107
    - libgcc-ng 13.2.0 h77fa898_7
    - libgomp 13.2.0 h77fa898_7
    - libsanitizer 12.3.0 hb8811af_7
    - libstdcxx-devel_linux-64 12.3.0 h0223996_107
    - libstdcxx-ng 13.2.0 hc0a3c3a_7
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_17
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - c-ares 1.28.1 hd590300_0
    - ca-certificates 2024.6.2 hbcca054_0
    - gettext 0.22.5 h59595ed_2
    - gettext-tools 0.22.5 h59595ed_2
    - hdf5 1.14.3 nompi_hdf9ad27_104
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - libaec 1.1.3 h59595ed_0
    - libasprintf 0.22.5 h661eb56_2
    - libasprintf-devel 0.22.5 h661eb56_2
    - libcurl 8.8.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libgcc-ng 13.2.0 h77fa898_7
    - libgettextpo 0.22.5 h59595ed_2
    - libgettextpo-devel 0.22.5 h59595ed_2
    - libgfortran-ng 13.2.0 h69a702a_7
    - libgfortran5 13.2.0 hca663fb_7
    - libgomp 13.2.0 h77fa898_7
    - libidn2 2.3.7 hd590300_0
    - libnghttp2 1.58.0 h47da74e_1
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-ng 13.2.0 hc0a3c3a_7
    - libunistring 0.9.10 h7f98852_0
    - libzlib 1.2.13 h4ab18f5_6
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.0 h4ab18f5_3
    - wget 1.21.4 hda4d442_0
    - zlib 1.2.13 h4ab18f5_6
    - zstd 1.5.6 ha6fb4c9_0
  run:
    - hdf5 >=1.14.3,<1.14.4.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<2.0a0
    - zlib
test:
  commands:
    - slow5tools --help
    - slow5tools --version
about:
  description: Slow5tools is a toolkit for converting (FAST5 <-> SLOW5), compressing,
    viewing, indexing and manipulating data in SLOW5 format.
  home: https://github.com/hasindu2008/slow5tools
  license: MIT
  license_file: LICENSE
  summary: Toolkit for S/bLOW5 format
extra:
  copy_test_source_files: true
  final: true
